SMAO API Documentation

Update organization metadata

PATCH
/organizations/{organizationId}
AuthorizationBearer <token>

In: header

Path Parameters

organizationIdstring
Match^[a-fA-F0-9]{24}$
name?string
Length1 <= length <= 255
industry?string
Lengthlength <= 255
timezone?string
Length1 <= length <= 100
externalOrganizationId?string
Length1 <= length <= 255

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://api.smao.ai/api/distributor/v2/organizations/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "status": "success",
  "organization": {
    "id": "string",
    "type": "msp",
    "name": "string",
    "industry": "string",
    "timezone": "string",
    "channelPartner": "string",
    "externalOrganizationId": "string",
    "parentOrganizationId": "string",
    "status": "active",
    "blockedReason": "string",
    "ownerEmail": "string",
    "externalLicenseId": "string",
    "license": {
      "id": "string",
      "externalLicenseId": "string",
      "status": "available",
      "owningOrganizationId": "string",
      "assignedOrganizationId": "string",
      "plan": {
        "id": "string",
        "slug": "string",
        "name": "string",
        "commitment": "none",
        "currency": "string",
        "baseFee": 0
      },
      "assignedAt": "2019-08-24T14:15:22Z",
      "disabledAt": "2019-08-24T14:15:22Z",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z"
    },
    "createdAt": "2019-08-24T14:15:22Z"
  },
  "owner": {
    "email": "string",
    "firstName": "string",
    "lastName": "string",
    "role": "string",
    "status": "string",
    "source": "string",
    "invitationId": "string",
    "expiresAt": "2019-08-24T14:15:22Z"
  }
}
{
  "status": "error",
  "errorCode": "VALIDATION_ERROR",
  "message": "string"
}
{
  "status": "error",
  "errorCode": "VALIDATION_ERROR",
  "message": "string"
}
{
  "status": "error",
  "errorCode": "VALIDATION_ERROR",
  "message": "string"
}
{
  "status": "error",
  "errorCode": "VALIDATION_ERROR",
  "message": "string"
}
{
  "status": "error",
  "errorCode": "VALIDATION_ERROR",
  "message": "string"
}

{
  "status": "error",
  "errorCode": "RATE_LIMITED",
  "message": "Too many requests for this API key."
}
{
  "status": "error",
  "errorCode": "VALIDATION_ERROR",
  "message": "string"
}

{
  "status": "error",
  "errorCode": "RATE_LIMIT_UNAVAILABLE",
  "message": "Rate limit storage is unavailable. Try again later."
}